Bug 209592 - packages required for mime handling
packages required for mime handling
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 05:12 EDT by Patrice Dumas
Modified: 2009-06-09 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.11.rc1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 19:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-06 05:12:47 EDT
Description of problem:

It seems to me that Thunar should requires some packages needed
for mimetypes handling. I think that shared-mime-info is required.

It may also be relevant to have an icon theme used in the default
case more pretty than the theme with all the icons being the
same. And since it uses the Rodent theme from xfce4-icon-theme
(maybe because of /usr/share/xfce4/mime/Rodent.mime.xml)
when the user didn't chose any theme I think that thunar should 
requires xfce4-icon-theme (or maybe /usr/share/xfce4/mime).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2006-10-06 05:15:00 EDT
Alternatively another xfce component thunar relies on could
require those packages, but I think it is better to have
them required only by thunar since otherwise it could add
a big dependency only usefull for graphical mime handling
to libs.
Comment 2 Kevin Fenzi 2006-10-06 13:49:19 EDT
Humm. Can you show a case where shared-mime-info is needed?
The wiki says you should call update-mime-database when:
"Use this when a package drops an XML file in %{_datadir}/mime/packages."
Thunar doesn't do that that I can see...

Yeah, I can look at setting up the nicer theme... will do some testing here in 
the next few days hopefully on it. 

Thanks again for the bugreports... 
Comment 3 Patrice Dumas 2006-10-06 15:08:01 EDT
It is in shared-mime-info that association between mimetype and
file type is set up (have a look at 
/usr/share/mime/packages/freedesktop.org.xml).

Thunar is much less usefull without that information, since
it isn't possible to launch an application by clicking on the
icon, and the icon file association is also dependent on that
information.
Comment 4 Kevin Fenzi 2006-10-09 15:16:09 EDT
ok. That makes sense. I had shared-mime-info installed by default on all my 
machines (gnome-vfs needs it), so I didn't notice that dependency. 

I have just pushed out a update for Thunar that adds those Requires... 

If you spot any problems with it, feel free to re-open this bug or file a new 
one. Thanks again for your report. 
Comment 5 Patrice Dumas 2008-02-24 12:45:40 EST
there is only one icon now (after I remove icon themes).
Comment 6 Kevin Fenzi 2008-02-24 12:57:45 EST
You are using the 'Rodent' theme? Or ?

I'm not sure what to do here for upgrade handling for people who are using
Rodent. We switched the default for new installs, but I guess that doesn't help
upgrades. ;( 

Can anyone think of a clever way to handle this? 
Comment 7 Patrice Dumas 2008-02-24 13:32:14 EST
I am using no icon theme, and the issue is that it is possible to have
thunar installed without any theme. A theme should be a thunar 
dependency.

I am using thunar in fluxbox. I am not sure that I have a 'working xfce'
though I have, at least
libxfce4mcs-4.4.2-2.fc9.i386
libxfce4util-4.4.2-2.fc9.i386
libxfce4util-devel-4.4.2-2.fc9.i386
xfce4-panel-4.4.2-3.fc9.i386
xfce-mcs-manager-4.4.2-2.fc9.i386
libxfcegui4-4.4.2-2.fc9.i386
Comment 8 Kevin Fenzi 2008-03-21 19:19:49 EDT
Sorry for the delay getting back to this. ;( 

So, 'rpm -qa | grep theme | grep icon' gives nothing on your system?

Which icon-themes did you remove in comment #5?

xfce4-icon-theme?


Comment 9 Patrice Dumas 2008-03-22 08:38:35 EDT
(In reply to comment #8)
> So, 'rpm -qa | grep theme | grep icon' gives nothing on your system?

When it gives:
xfce4-icon-theme-4.4.2-1.fc9.noarch
hicolor-icon-theme-0.10-4.noarch
fedora-icon-theme-1.0.0-1.fc8.noarch
gnome-icon-theme-2.21.92-1.fc9.noarch

there is only one kind of icon in thunar.

> Which icon-themes did you remove in comment #5?

I don't remember.

> xfce4-icon-theme?

bluecurve theme has to be removed in order to have only one icon.
But even with xfce4-icon-theme there is only one icon.

As a side note my system is in an ever changing state, sometime I have the
gnome stack, sometime I remove it, and similar with kde stack.
Comment 10 Bug Zapper 2008-05-13 22:24:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Kevin Fenzi 2008-10-09 20:58:28 EDT
Trying to make sure and revisit all my open bugs here... 

Can you duplicate this now? Is this worth persuing?
Comment 12 Patrice Dumas 2008-10-10 04:42:35 EDT
Still only one icon with:

xfce4-icon-theme-4.4.2-1.fc9.noarch
hicolor-icon-theme-0.10-4.noarch
nuoveXT-icon-theme-2.2-1.fc10.noarch
oxygen-icon-theme-4.1.2-3.fc10.noarch
gnome-icon-theme-2.24.0-1.fc10.noarch


With
 echo-icon-theme    noarch 0.3.89.0-0.11.20081003gitcc6da5b.fc10
 fedora-gnome-theme noarch 8.0.0-7.fc10
 fedora-icon-theme  noarch 1.0.0-3.fc10

there are icons.

As whether it is worth pursuing, I'd say yes, but it is up to you.
I don't care leaving this bug open until something changes outside of 
thunar or upstream or the end of time.
Comment 13 Christoph Wickert 2008-10-10 06:19:51 EDT
Have you ever tried to select another icon theme with 'xfce-setting-show ui' or are you just talking about the out-of-the-box behavior?
Comment 14 Patrice Dumas 2008-10-10 06:23:26 EDT
Only about out-of-the-box behavior.

I am under fluxbox and I am not very used with the 'desktop' stuff and
I even try to do as little customization as possible.
Comment 15 Bug Zapper 2009-06-09 18:18:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Christoph Wickert 2009-06-09 19:09:40 EDT
This can be closed because Thunar already requires shared-mime-info for quite a while. The icon theme is not required as we switched to fedora-icon-theme which cannot be removed.

Note You need to log in before you can comment on or make changes to this bug.